Subject: Re: [seamoby] DMHA and IPsec

From: James Kempf <[email-masked]>
Date: Wed, 19 Sep 2001 09:43:31 -0700 (PDT)

Marco,

>isn't this the case for transport layer security as well? For TLS I see the
>problem you addressed only shifted to higher layers.
>

Not sure. TLS seems to work fine for Web sites that have thousands
of hosts, primarily because the certs are built into the browsers.
So there is no protocol exchange necessary to establish the SA and
because there are a limited number of cert authorities, there is
no scalability problem with maintaining the SAs.
This is not to say that TLS is the right solution to paging security,
just that, in practice, it seems to scale OK for Web applications. 

Another possibility would be a PBK-like approach. I have not had
time to delve deeply into the current MIPv6 BU security debate,
but I suspect that the solution should be similar (if not perhaps
exactly the same) because the requirements seem very similar.

		jak

---

From: Claude Castelluccia <[email-masked]>
Date: Thu, 20 Sep 2001 09:20:28 +0200

> exactly the same) because the requirements seem very similar.

Hello,

Yes i think that SUCV type of solutions could as well be applied to solve this
problem...
However we still have the memory/cpu tradeoff (or what you call the
SA explosion problem).

SUCV relies on public key signature which is quite computationally expensive.
To reduce this cost we provide the option of generating a session key (and
therefore
build SA)....

So we have 2 alternatives:
-use signature: slow but no SA needed
-use session key: faster but SA needed

regards,

Claude.

PS: BTW i am not convince that the SA explosion problem is really a problem....

--

----------------------------------------
Claude CASTELLUCCIA, INRIA Rhone-Alpes
ph:  +33 4.76.61.52.15 (fax: 52.52)
http://www.inrialpes.fr/planete/